import { PlatformAccessory } from 'homebridge';
import { tasmotaPlatform } from './platform';
import { TasmotaService } from './TasmotaService';
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
export declare class tasmotaSensorService extends TasmotaService {
    readonly platform: tasmotaPlatform;
    readonly accessory: PlatformAccessory;
    protected readonly uniq_id: string;
    constructor(platform: tasmotaPlatform, accessory: PlatformAccessory, uniq_id: string);
    statusUpdate(topic: any, message: any): void;
    findDeviceClass(unit_of_meas: string, icon: string): string | undefined;
}
//# sourceMappingURL=tasmotaSensorService.d.ts.map